
// PlayTones.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, Feb. 2022

/*
   // https://introcs.cs.princeton.edu/java/15inout/PlayThatTune.java.html
   // https://introcs.cs.princeton.edu/java/15inout/
 
   Plays a simple tune made up of tones (with durations) read 
   from a text file in tones/.
 
   % java PlayTones tones/eliseN.txt
 
   Data files in tones/
   ----------
     eliseN.txt
     freebirdN.txt
     ascaleN.txt
     looneyN.txt
     stairN.txt
     entertainerN.txt
     firstcutN.txt
     tomsdinerN.txt
     timeGoes.txt
*/


public class PlayTones
{
  public static void main(String[] args)
  {
    if (args.length != 1)
      System.out.println("Usage: java PlayTones <fnm in tones/>");
    else {
      double[] audio = AudioTools.loadTones(args[0]);
      AudioTools.play(audio);
    }
  }

}  // end of PlayTones class
