
// TestSounds.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, Feb. 2022

/* A variety of tests of AudioTools.java

   Uncomment the test you want to try.
*/

import java.util.*;


public class TestSounds
{

  public static void main(String[] args)
  {
    // AudioTools.mixerInfo();

    ChartAudio achart = new ChartAudio();
    AudioTools.playBG("sounds/singer.wav", achart);

/*
    AudioTools.loopBG("sounds/beatbox.wav");
    AudioTools.loopBG("sounds/cow.wav");
*/

/*
    double[] audio = AudioTools.read("sounds/cow.wav");
    AudioTools.play(audio);
    // System.out.println("Audio array: " + Arrays.toString(audio));
    AudioTools.saveArray("testData1.txt", audio);
    double[] audio2 = AudioTools.readArray("testData1.txt");
    AudioTools.play(audio2);
*/

/*
    // a 50 Hz tone (slow) for 1 sec with amplitude 0.5
    // double[] audio = AudioTools.tone(50, 1.0, 0.5); 
    // double[] audio = AudioTools.tone(50, 1.0, 0.5, AudioTools::sinWave);
    double[] audio = AudioTools.tone(50, 1.0, 0.5, AudioTools::squareWave);
          // sinWave, sawWave, triangleWave, squareWave
    AudioTools.play(audio);
    AudioTools.draw(audio);
*/

    // playNotes();

  } /* main */


  private static void playNotes()
  {
    // scale increments
    double freqA4 = 440.0;
    int[] steps = { 0, 2, 4, 5, 7, 9, 11, 12 };
    for (int i = 0; i < steps.length; i++) {
      double freq = freqA4 * Math.pow(2, steps[i] / 12.0);
      AudioTools.play( AudioTools.tone(freq, 1.0, 0.5));
    }

    // need to call this in non-interactive stuff so the program doesn't
    // terminate until all the sound leaves the speaker
    AudioTools.close();
  } /* playNotes */


}  // end of TestSounds class